function [ ci_eff, ci] = eb_ci(beta,nuis,freq,kn)

var = (1/2)*(nuis(:,3).^2+nuis(:,4).^2); D_eff = sum(nuis(:,1).^2./var); W_eff_1 = nuis(:,3).^2./var.^2; W_eff_2 = nuis(:,4).^2./var.^2;
D = sum(nuis(:,1).^2); W_1 = nuis(:,3).^2; W_2 = nuis(:,4).^2;


MC = 10000;  T = zeros(MC,1); T_eff = zeros(MC,1);
for m=1:MC
    loc = rand(size(nuis,1),1);
    norm_1 = sqrt(loc.*W_eff_1+(1-loc).*W_eff_2).*randn(size(nuis,1),1);
    norm_2 = sqrt(nuis(:,3).^4/2+nuis(:,4).^4/2).*randn(size(nuis,1),1); norm_2 = norm_2./var;
    temp_1 = D_eff^(-1)*sum(nuis(:,1).*norm_1)/sqrt(freq);
    temp_2 = sum(nuis(:,1).^2.*norm_2./var)*sum(nuis(:,1).*norm_1) - sum(nuis(:,1).*norm_1.*norm_2)*sum(nuis(:,1).^2./var); 
    temp_2 = temp_2./D_eff.^2; temp_2 = temp_2/sqrt(freq*kn);
    T_eff(m) = temp_1+temp_2; 
    T(m) = D^(-1)*sum(nuis(:,1).*sqrt(loc.*W_1+(1-loc).*W_2).*randn(size(nuis,1),1))/sqrt(freq);
end

ci = quantile(abs(T),[0.9 0.95 0.99]); ci_eff = quantile(abs(T_eff),[0.9 0.95 0.99]);


