function [ pval ] = simquant(nuis, Test_Val )

MC = 10000;

T = zeros(MC,1);
for i=1:MC
    loc = rand(size(nuis,1),1);
    resid = sqrt(loc.*nuis(:,3).^2+(1-loc).*nuis(:,4).^2).*randn(size(nuis,1),1);

    T(i) = sum(nuis(:,1).^2)*sum(resid.^2)-(sum(nuis(:,1).*resid))^2;
    T(i) = T(i)./(sum(nuis(:,1).^2)*sum(nuis(:,2).^2));
end

I = find(T>Test_Val);
pval = length(I)/MC;
